> ## Documentation Index
> Fetch the complete documentation index at: https://docs.teamcaredental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create token

> `client_id` and `client_secret` are required to uniquely identify the consulting firm during authentication.



## OpenAPI

````yaml https://app.teamcaredental.com/openapi-vendors.json post /auth/token
openapi: 3.1.0
info:
  title: TeamCare Vendor API
  version: 1.0.0
  description: Vendor APIs for integrating dental office data. HIPAA-compliant and opt-in.
servers:
  - url: https://app.teamcaredental.com/api/v1/vendors
security:
  - bearerAuth: []
paths:
  /auth/token:
    post:
      tags:
        - Authentication
      summary: Create token
      description: >-
        `client_id` and `client_secret` are required to uniquely identify the
        consulting firm during authentication.
      operationId: authentication_create
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                client_id:
                  type: string
                  example: YOUR_CLIENT_ID
                client_secret:
                  type: string
                  example: YOUR_CLIENT_SECRET
            example:
              client_id: YOUR_CLIENT_ID
              client_secret: YOUR_CLIENT_SECRET
      responses:
        '201':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
        '400':
          description: Invalid client_id or client_secret.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: Invalid Credentials
        '404':
          description: Resource not found.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: resource not found
        '422':
          description: The request could not be processed.
          content:
            application/json:
              schema:
                type: object
                properties:
                  errors:
                    type: string
              example:
                errors: ...
      security: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT returned by POST /auth/token. Valid for six hours.

````